#ifndef _BACKGROUND_LIGHT_H
#define _BACKGROUND_LIGHT_H
#include "BGLInterface.h"

#define IGN_ON_BACK_LIGHT_DELAY_MS 10u
#define IGN_OFF_BACK_LIGHT_DELAY_MS 0u
#define BACKLIGHT_LV100 0u
#define BACKLIGHT_LV80 1u
#define BACKLIGHT_LV40 2u
extern void SetBackLightOutput(uint8_t n, uint16_t val);
extern void SetBacklightDestVal(uint8_t n, const uint16_t val);
extern void SetBacklightCurVal(uint8_t n, uint16_t val);
extern void SetBacklightMinVal(uint8_t n, uint16_t val);
extern void BackLightDamp(uint8_t TimeX);
extern void BackLightDeal(BL_USER_PARA  BL_FunPara, BL_STATE_PARA BLFunStatePara);
extern void SetBacklightMinVal(uint8_t n, uint16_t val);
/*TFT高温处理函数*/
extern void BackLightDeal_NTC(BL_USER_PARA  BL_FunPara, BL_STATE_PARA BLFunStatePara);
extern void AD_SwapShort(uint16_t *pData1, uint16_t *pData2);
extern void AD_SortShort(uint16_t SortData[], uint8_t len);
extern uint16_t Calculate_Thermistor(BL_STATE_PARA BLFunStatePara);

#endif

